:- module(benchmarks, [benchmark/1, benchmarks/1]).

benchmarks(Files) :-	
	findall(File, benchmark(File), Files).

benchmark(ann).		% OK
benchmark(append).		% OK
%benchmark(aqua_c).		
benchmark(asm).		% OK
benchmark(boyer).		% OK
benchmark(browse).		% OK
benchmark(bryant).		% OK
benchmark(chat_80).		% OK		
benchmark(chat_parser).	% OK 	
benchmark(crypt_wamcc).	% OK 
benchmark(dialog).		% OK
benchmark(disj_r).		% OK
benchmark(fastcolor).		% OK 
benchmark(flatten).		% OK
benchmark(ga).			% OK
benchmark(gabriel).		% OK
benchmark(hamiltonian).	% OK
benchmark(ili).		% OK
benchmark('ime_v2-2-1').	% OK
benchmark(kalah).		% OK
benchmark(life).		% OK
benchmark(map).		% OK
benchmark(mastermind).		% OK
benchmark(meta).		% OK
benchmark(music).		% OK
benchmark(nand).		% OK
benchmark(nandc).		% OK
benchmark(nbody).		% OK
benchmark(neural).		% OK
benchmark(peep).		% OK
benchmark(peval).		% OK		
benchmark(poly10).		% OK
benchmark(press).		% OK
benchmark(qplan).		% OK
benchmark(qsort).		% OK
benchmark(qsort_aux).		% OK
benchmark(queens).		% OK
benchmark(reducer).		% OK
benchmark(rev).		% OK
benchmark(reverse).		% OK
benchmark(robot).		% OK
benchmark(rotate).		% OK
benchmark(rubik).		% OK		
benchmark(scc1).		% OK
benchmark(sdda).		% OK
benchmark(semi).		% OK
benchmark(serialize).		% OK
benchmark(shape).		% OK
benchmark(sim).		% OK		
benchmark('sim_v5-2').		% OK
benchmark(simple_analyzer).	% OK
benchmark(treeorder).		% OK
benchmark(trs).		% OK
benchmark(tsp).		% OK
benchmark(unify).		% OK
benchmark(zebra).		% OK

% problem programs with too many missing predicates
%
% benchmark(aircraft).	
% benchmark(conman).
% benchmark(essln).
% benchmark(lnprolog).
% benchmark(tictactoe).
% benchmark(read).		
% benchmark(strips).	
